
#ifndef ROOT_TPGON
#define ROOT_TPGON

//+SEQ,CopyRight,T=NOINCLUDE.

////////////////////////////////////////////////////////////////////////////
//                                                                        //
// TPGON                                                                  //
//                                                                        //
// PGON is a polygone. It has at least 10 parameters, the lower phi limit,//
// the range in phi, the number of straight sides (of equal length)       //
// between those phi limits, the number (at least two) of z planes where  //
// the radius is changing for each z boundary and the z coordinate, the   //
// minimum radius and the maximum radius.                                 //
//                                                                        //
////////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TPCON
//*KEEP,TPCON.
#include "TPCON.h"
//*KEND.
#endif

class TPGON : public TPCON {

    public:
        TPGON();
        TPGON(Text_t *name, Text_t *title, Text_t *material, Float_t phi1, Float_t dphi1,
              Int_t npdv, Int_t nz);
        virtual ~TPGON();

        ClassDef(TPGON,1)  //PGON shape
};

#endif
